import request from '@/utils/request'

// 查询故障案例列表
export function listFaultCase(query) {
  return request({
    url: '/fault/faultCase/list',
    method: 'get',
    params: query
  })
}

// 查询故障案例详细
export function getFaultCase(id) {
  return request({
    url: '/fault/faultCase/' + id,
    method: 'get'
  })
}

// 新增故障案例
export function addFaultCase(data) {
  return request({
    url: '/fault/faultCase',
    method: 'post',
    data: data
  })
}

// 修改故障案例
export function updateFaultCase(data) {
  return request({
    url: '/fault/faultCase',
    method: 'put',
    data: data
  })
}

// 删除故障案例
export function delFaultCase(id) {
  return request({
    url: '/fault/faultCase/' + id,
    method: 'delete'
  })
}
